Page MenuHomePhabricator

Failed account registration requirements should be shown in a message
Closed, ResolvedPublic1 Story Points

Description

When a user has too short a password or otherwise fails to meet account requirements, the reason may not be obvious. We should include the reason for failure in a message (illegal characters, password too short, missing confirmation, ...). This task is limited to app side validation. However, when available (T47843), the API may be used[0] to show failed requirements as reported by the server.

[0] https://www.mediawiki.org/wiki/API_talk:Login#Localized_error_messages

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. Ā· View Herald TranscriptSep 30 2016, 6:03 PM
Niedzielski updated the task description. (Show Details)Oct 5 2016, 8:20 PM
Niedzielski updated the task description. (Show Details)
MBinder_WMF set the point value for this task to 1.Nov 2 2016, 7:56 PM
Dbrant added a comment.Feb 2 2017, 9:01 PM

For QA:

  • Go to create an account, and type in a sufficiently unique username (e.g. a bunch of random letters, like "kjasdhkjaherqsdfs")
  • For the password, enter "qwerty", and the same for the password confirmation.
  • Tap the "Next" button to create the account (you may also need to enter a CAPTCHA).
  • The app should show an error to the effect of "Commonly used passwords cannot be used", and should NOT successfully create the account.

This is still broken. I've gotten not just the "Commonly used passwords cannot be used" error, but repeat attempts to create an account gave me CAPTCHA errors until my IP reached it's limit for account creating for the day

Dbrant closed this task as Resolved.Mar 6 2017, 1:34 PM
Dbrant claimed this task.